%define oname	libva-vdpau-driver
%define snap	0
%define rel	9

Summary:	VA-API driver for VDPAU interface
Name:		vaapi-driver-vdpau
Version:	0.7.4
%if %snap
Release:	%mkrel 3.git%snap.%rel
%else
Release:	%mkrel %rel
%endif
Group:		System/Libraries
License:	GPLv2+
URL:		http://www.splitted-desktop.com/~gbeauchesne/vdpau-video/
%if %snap
# http://cgit.freedesktop.org/vaapi/vdpau-driver/
# git archive --prefix vdpau-video-20120224/ master | xz > ../vdpau-video-20120224.tar.xz
Source:		%{oname}-%{snap}.tar.xz
%else
Source:		http://www.freedesktop.org/software/vaapi/releases/libva-vdpau-driver/%{oname}-%{version}.tar.bz2
%endif
# (tv) fix compiling with mesa-9:
Patch0:		fix-compiling.diff
Patch1:		no-H264-buffer-type.patch
Patch2:		libva-vdpau-driver-0.7.4-libvdpau0.8.patch
# Reported in https://bugs.freedesktop.org/58836 and http://bugs.debian.org/748294
Patch3:		sigfpe-crash.patch
Patch4:		Change-struct-v4l2-to-uintptr_t.patch
BuildRequires:	libva-devel
BuildRequires:	vdpau-devel
Provides:	%oname

%description
VDPAU driver backend for VA API, a video acceleration API.

%prep
%if %snap
%setup -q -n %oname-%snap
%else
%setup -q -n %oname-%version
%endif
%autopatch -p1

%build
%if %snap
./autogen.sh
%endif
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/dri/*.la

%files
%doc AUTHORS NEWS
%{_libdir}/dri/*_drv_video.so


%changelog
* Wed Feb 26 2020 daviddavid <daviddavid> 0.7.4-9.mga8
+ Revision: 1550733
- add patch to fix build (Change struct v4l2 to uintptr_t)
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std
- replace deprecated %%apply_patches

* Sun Sep 23 2018 umeabot <umeabot> 0.7.4-8.mga7
+ Revision: 1301561
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.7.4-7.mga6
+ Revision: 937866
- Mageia 6 Mass Rebuild

* Thu Oct 16 2014 luigiwalser <luigiwalser> 0.7.4-6.mga5
+ Revision: 766746
- add patch from rosa to fix build
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Wed Dec 25 2013 pterjan <pterjan> 0.7.4-4.mga4
+ Revision: 560610
- Fix build
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 385220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 11 2012 tv <tv> 0.7.4-1.mga3
+ Revision: 304636
- patch 0: fix compiling with mesa-9
- fix group
- new group
- new release

* Tue Mar 06 2012 anssi <anssi> 0.7.3-3.git20120224.1.mga2
+ Revision: 219450
- new git snapshot

* Fri May 13 2011 ahmad <ahmad> 0.7.3-2.mga1
+ Revision: 98037
- Drop the video-mesa patch, looks fixed upstream and the package does build
  without it

* Fri May 13 2011 ahmad <ahmad> 0.7.3-1.mga1
+ Revision: 98032
- Update to 0.7.3
- Rediff the video-mesa patch
- Adjust the files list, libs are now in {_libdir}/dri/
+ mikala <mikala>
- imported package vaapi-driver-vdpau


* Wed Nov 17 2010 Anssi Hannula <anssi@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 598479
- new version
- fix build with current mesa (mesa.patch)

* Mon Jul 19 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-3mdv2011.0
+ Revision: 555025
- rebuild for new libva

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-2mdv2011.0
+ Revision: 551466
- add provides on  vdpau-video

* Tue Jul 13 2010 Anssi Hannula <anssi@mandriva.org> 0.6.10-1mdv2011.0
+ Revision: 551392
- initial Mandriva release

